// JavaScript Document

/*****
Ne pas oublier d'adapter le nombre de boutons var nBtns.
*****/
	
var nBtns = 6; //nombre de boutons dans la légende

// ne pas modifier

var onBtns = 0; //nombre de boutons dans la légende affichés

function compteLegendes(Boutons) {

	// décompte des Boutons actifs pour déclencher la visibilité des boutons Afficher et/ou Masquer
	
	if (onBtns == nBtns) {
		
		// Si on atteint le nombre de boutons attendus, on rend actif et visible le bouton Masquer seul.
		
		$("#Masquer").fadeTo(100, 1);
		$("#Afficher").fadeTo(100, 0);
	} else if (onBtns == 0) {
		
		// S'il n'y a aucun bouton, on rend actif et visible le bouton Afficher seul.
		
		$("#Masquer").fadeTo(100, 0);
		$("#Afficher").fadeTo(100, 1);
	} else {
		
		// Pour les autres situations (ni 0 ni nBtns), on s'assure que les deux boutons Afficher et Masquer sont présents.
		
		$("#Masquer").fadeTo(100, 1);
		$("#Afficher").fadeTo(100, 1);
	}
}

$(".C").fadeOut(1000);
$("#Masquer").hide();
$("#Masquer").fadeOut(10);
$("#Masquer").css("display", "none");

$("#Afficher").show();
$("#Afficher").css("display", 1);

/*$("#Masquer").on(
	"mouseover",
	function () {
		if (onBtns > 0) {
			$("#Masquer").fadeTo(100, .8);
		}
	}
)

$("#Masquer").on(
	"mouseout",
	function () {
		if (onBtns > 0) {
			$("#Masquer").fadeTo(100, 1);
		}
	}
)
$("#Afficher").on(
	"mouseover",
	function () {
		if (onBtns < nBtns) {
			$("#Afficher").fadeTo(100, .8);
		}
	}
)

$("#Afficher").on(
	"mouseout",
	function () {
		if (onBtns < nBtns) {
			$("#Afficher").fadeTo(100, 1);
		}
	}
)*/

$("#L1").on(
	"click",
	function () {

		if ($("#C1").css("display") == "none") {
			onBtns += 1;
		} else {
			onBtns -= 1
		};
		compteLegendes(onBtns);

		$("#C1").fadeToggle(100);
		$("#C1b").fadeToggle(100);
		$("#L1b").fadeToggle(100);
		$("#Masquer").fadeIn(100);
	}
)

$("#L2").on(
	"click",
	function () {
		if ($("#C2").css("display") == "none") {
			onBtns += 1;
		} else {
			onBtns -= 1
		};
		compteLegendes(onBtns);

		$("#C2").fadeToggle(100);
		$("#C2b").fadeToggle(100);
		$("#L2b").fadeToggle(100);
		$("#Masquer").fadeIn(100);
	}
)

$("#L3").on(
	"click",
	function () {
		if ($("#C3").css("display") == "none") {
			onBtns += 1;
		} else {
			onBtns -= 1
		};
		compteLegendes(onBtns);

		$("#C3").fadeToggle(100);
		$("#C3b").fadeToggle(100);
		$("#L3b").fadeToggle(100);
		$("#Masquer").fadeIn(100);
	}
)

$("#L4").on(
	"click",
	function () {
		if ($("#C4").css("display") == "none") {
			onBtns += 1;
		} else {
			onBtns -= 1
		};
		compteLegendes(onBtns);

		$("#C4").fadeToggle(100);
		$("#C4b").fadeToggle(100);
		$("#L4b").fadeToggle(100);
		$("#Masquer").fadeIn(100);
	}
)

$("#L5").on(
	"click",
	function () {
		if ($("#C5").css("display") == "none") {
			onBtns += 1;
		} else {
			onBtns -= 1
		};
		compteLegendes(onBtns);

		$("#C5").fadeToggle(100);
		$("#C5b").fadeToggle(100);
		$("#L5b").fadeToggle(100);
		$("#Masquer").fadeIn(100);
	}
)

$("#L6").on(
	"click",
	function () {
		if ($("#C6").css("display") == "none") {
			onBtns += 1;
		} else {
			onBtns -= 1
		};
		compteLegendes(onBtns);

		$("#C6").fadeToggle(100);
		$("#C6b").fadeToggle(100);
		$("#L6b").fadeToggle(100);
		$("#Masquer").fadeIn(100);
	}

)

$("#L7").on(
	"click",
	function () {
		if ($("#C7").css("display") == "none") {
			onBtns += 1;
		} else {
			onBtns -= 1
		};
		compteLegendes(onBtns);

		$("#C7").fadeToggle(100);
		$("#C7b").fadeToggle(100);
		$("#L7b").fadeToggle(100);
		$("#Masquer").fadeIn(100);
	}

)

$("#L8").on(
	"click",
	function () {
		if ($("#C8").css("display") == "none") {
			onBtns += 1;
		} else {
			onBtns -= 1
		};
		compteLegendes(onBtns);

		$("#C8").fadeToggle(100);
		$("#C8b").fadeToggle(100);
		$("#L8b").fadeToggle(100);
		$("#Masquer").fadeIn(100);
	}

)

$("#L9").on(
	"click",
	function () {
		if ($("#C9").css("display") == "none") {
			onBtns += 1;
		} else {
			onBtns -= 1
		};
		compteLegendes(onBtns);

		$("#C9").fadeToggle(100);
		$("#C9b").fadeToggle(100);
		$("#L9b").fadeToggle(100);
		$("#Masquer").fadeIn(100);
	}

)

$("#L10").on(
	"click",
	function () {
		if ($("#C10").css("display") == "none") {
			onBtns += 1;
		} else {
			onBtns -= 1
		};
		compteLegendes(onBtns);

		$("#C10").fadeToggle(100);
		$("#C10b").fadeToggle(100);
		$("#L10b").fadeToggle(100);
		$("#Masquer").fadeIn(100);
	}

)

$("#L11").on(
	"click",
	function () {
		if ($("#C11").css("display") == "none") {
			onBtns += 1;
		} else {
			onBtns -= 1
		};
		compteLegendes(onBtns);

		$("#C11").fadeToggle(100);
		$("#C11b").fadeToggle(100);
		$("#L11b").fadeToggle(100);
		$("#Masquer").fadeIn(100);
	}

)

$("#L12").on(
	"click",
	function () {
		if ($("#C12").css("display") == "none") {
			onBtns += 1;
		} else {
			onBtns -= 1
		};
		compteLegendes(onBtns);

		$("#C12").fadeToggle(100);
		$("#C12b").fadeToggle(100);
		$("#L12b").fadeToggle(100);
		$("#Masquer").fadeIn(100);
	}

)

$("#L13").on(
	"click",
	function () {
		if ($("#C13").css("display") == "none") {
			onBtns += 1;
		} else {
			onBtns -= 1
		};
		compteLegendes(onBtns);

		$("#C13").fadeToggle(100);
		$("#C13b").fadeToggle(100);
		$("#L13b").fadeToggle(100);
		$("#Masquer").fadeIn(100);
	}

)

$("#L14").on(
	"click",
	function () {
		if ($("#C14").css("display") == "none") {
			onBtns += 1;
		} else {
			onBtns -= 1
		};
		compteLegendes(onBtns);

		$("#C14").fadeToggle(100);
		$("#C14b").fadeToggle(100);
		$("#L14b").fadeToggle(100);
		$("#Masquer").fadeIn(100);
	}

)

$("#L15").on(
	"click",
	function () {
		if ($("#C15").css("display") == "none") {
			onBtns += 1;
		} else {
			onBtns -= 1
		};
		compteLegendes(onBtns);

		$("#C15").fadeToggle(100);
		$("#C15b").fadeToggle(100);
		$("#L15b").fadeToggle(100);
		$("#Masquer").fadeIn(100);
	}

)

$("#L16").on(
	"click",
	function () {
		if ($("#C16").css("display") == "none") {
			onBtns += 1;
		} else {
			onBtns -= 1
		};
		compteLegendes(onBtns);

		$("#C16").fadeToggle(100);
		$("#C16b").fadeToggle(100);
		$("#L16b").fadeToggle(100);
		$("#Masquer").fadeIn(100);
	}

)

$("#L17").on(
	"click",
	function () {
		if ($("#C17").css("display") == "none") {
			onBtns += 1;
		} else {
			onBtns -= 1
		};
		compteLegendes(onBtns);

		$("#C17").fadeToggle(100);
		$("#C17b").fadeToggle(100);
		$("#L17b").fadeToggle(100);
		$("#Masquer").fadeIn(100);
	}

)

$("#L18").on(
	"click",
	function () {
		if ($("#C18").css("display") == "none") {
			onBtns += 1;
		} else {
			onBtns -= 1
		};
		compteLegendes(onBtns);

		$("#C18").fadeToggle(100);
		$("#C18b").fadeToggle(100);
		$("#L18b").fadeToggle(100);
		$("#Masquer").fadeIn(100);
	}

)

$("#L19").on(
	"click",
	function () {
		if ($("#C19").css("display") == "none") {
			onBtns += 1;
		} else {
			onBtns -= 1
		};
		compteLegendes(onBtns);

		$("#C19").fadeToggle(100);
		$("#C19b").fadeToggle(100);
		$("#L19b").fadeToggle(100);
		$("#Masquer").fadeIn(100);
	}

)

$("#Afficher").on(
	"click",
	function () {
		$(".C").fadeIn(100);
		$(".B").fadeOut(100);

		onBtns = nBtns;
		compteLegendes(onBtns);

		$("#Afficher").fadeOut(100);
		$("#Masquer").fadeIn(100);
		$("#Masquer").css("display", 1);
	}
)


$("#Masquer").on(
	"click",
	function () {
		$(".C").fadeOut(100);
		$(".B").fadeIn(100);

		onBtns = 0;
		compteLegendes(onBtns);

		$("#Afficher").fadeIn(100);
		$("#Afficher").css("display", 1);
		$("#Masquer").fadeOut(100);
	}
)